## dde-wayland-config 1.0.9

=== Makefile ===
#!/bin/bash

.PHONY:all kelvinu-dm install preinstall
GOPATH := /usr/share/gocode
GOPATH_DIR = gopath
GOBUILD = go build -v
export GO111MODULE = off

all:kelvinu-dm


kelvinu-dm: dde-setHidden

dde-setHidden:
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}"  ${GOBUILD} -o Xdeepin ${GOBUILD_OPTIONS} setHidden.go

install::
	mkdir -p ${DESTDIR}/usr/share/wayland-sessions/
	install Wayland.desktop ${DESTDIR}/usr/share/wayland-sessions/
	install DeepinOnXwayland.desktop ${DESTDIR}/usr/share/wayland-sessions/
	mkdir -p ${DESTDIR}/usr/bin/
	install startdde-wayland ${DESTDIR}/usr/bin/
	install runkwin.sh ${DESTDIR}/usr/bin/
	install kwin_wayland_helper ${DESTDIR}/usr/bin/
	install dde_update_dbus_env ${DESTDIR}/usr/bin/
	mkdir -p ${DESTDIR}/var/lib/lastore/
	install config.json ${DESTDIR}/var/lib/lastore/
	install startdde-x11 ${DESTDIR}/usr/bin/
	install runkwin-x11.sh ${DESTDIR}/usr/bin/
	install kwin_wayland-x11_helper ${DESTDIR}/usr/bin/
	chown root Xdeepin
	chgrp root Xdeepin
	install -Dm4755 Xdeepin ${DESTDIR}/usr/bin

uninstall:
	rm -rf ${DESTDIR}/usr/share/wayland-sessions/
	rm -f  ${DESTDIR}/etc/udcp-client.conf
	rm -f  ${DESTDIR}/usr/bin/startdde-wayland
	rm -f  ${DESTDIR}/usr/bin/runkwin.sh
	rm -f  ${DESTDIR}/usr/bin/startdde-x11
	rm -f  ${DESTDIR}/usr/bin/runkwin-x11.sh
	rm -f  ${DESTDIR}/usr/bin/Xdeepin
	rm -f  ${DESTDIR}/usr/bin/kwin_wayland-x11_helper
	rm -f  ${DESTDIR}/usr/bin/dde_update_dbus_env
	rm -f  ${DESTDIR}/usr/bin/kwin_wayland_helper
	rm -f  ${DESTDIR}/var/lib/lastore/config.json

=== debian/changelog ===
dde-wayland-config (1.0.9-1) unstable; urgency=medium

  * update

 -- ganjing <ganjing@uniontech.com>  Fri, 11 Mar 2022 14:47:30 +0800

dde-wayland-config (1.0.0-1) unstable; urgency=medium

   * Rebuild Version 1.0.0.1

 -- ganjing <ganjing@uniontech.com>  Mon, 29 Dec 2021 13:40:00 +0800

=== debian/control ===
Source: dde-wayland-config
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11), golang-go, deepin-desktop-base
Maintainer: ganjing <ganjing@uniontech.com> 
Standards-Version: 4.1.3
Homepage: https://www.deepin.org

Package: dde-wayland-config
Replaces: kelvinu
Conflicts: kelvinu
Architecture: any
Depends: ${shlibs:Depends}, 
	${misc:Depends},
Description: This package is the configuration file to adapt to the wayland environment
	some configuration

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
export GOPATH := /usr/share/gocode
export GOCACHE=/tmp/

ifneq ($(DEB_BUILD_ARCH), mips64el)
	export GOBUILD_OPTIONS=-ldflags '-linkmode=external -extldflags "-pie"'
endif

%:
	dh $@

override_dh_auto_clean:
	echo clean

override_dh_auto_configure:
	$(shell bash deepin_autoinstallupdatetype.sh)
